import VueI18nPlugin from './vueI18nPlugin';
import AuthorityPlugin from './authorityPlugin';
import TabsPagePlugin from './tabsPagePlugin';
import { Table, WhiteCard, Upload, MyFormItem, ActionButoon } from '@/components';

const Plugins = {
    install: function(Vue) {
        Vue.use(VueI18nPlugin);
        Vue.use(AuthorityPlugin);
        Vue.use(TabsPagePlugin);
        Vue.component('my-table', Table);
        Vue.component('my-card', WhiteCard);
        Vue.component('my-upload', Upload);
        Vue.component('my-form-item', MyFormItem);
        Vue.component('my-ac-btn', ActionButoon);
    },
};
export default Plugins;
